Get a room
curl --request GET \
--url https://api.journeybee.io/v1/rooms/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/rooms/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/rooms/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"room_type": "overview",
"live": true,
"partner_type": "referral",
"series": 123,
"room_visibility": "all",
"internal_label": "<string>",
"viewable_by_distributors": true,
"created_at": "<string>",
"updated_at": "<string>",
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"stages": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"blocks": [
{
"uuid": "<string>",
"block_type": "text",
"label": "<string>",
"series": 123,
"content": "<unknown>",
"block_settings": {
"display": {
"height": 123,
"fullScreen": true,
"showExternalLink": true,
"directEmbed": true,
"pdfViewerMode": "paged"
},
"action_bar": {
"buttons": [
{
"label": "<string>",
"event": "send_lead",
"icon": "<string>",
"url": "<string>",
"background_color": "<string>",
"text_color": "<string>",
"icon_color": "<string>",
"room_uuid": "<string>",
"resource_uuid": "<string>",
"folder_uuid": "<string>",
"certification_uuid": "<string>",
"series": 500
}
]
},
"goals": {
"showProgress": true,
"showCountdown": true,
"allowResourceLinks": true
},
"advanced_search": {
"title": "<string>",
"placeholder": "<string>",
"showAITab": true,
"showQuickActions": true
},
"pricing_calculator": {
"allowCreateLead": true,
"enable_lead_submission": true,
"defaultCustomerName": "partner_company_name",
"customCustomerName": "<string>"
},
"banner": {
"displayMode": "company",
"companyLogoPosition": "left"
}
},
"asset_uuid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"room_settings": {
"show_navigation": true,
"overview": {
"showQuickActions": true
},
"style": {
"sidebar_icon": "<string>"
}
}
}Rooms
Get a room
GET
/
rooms
/
{uuid}
Get a room
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Available options:
overview, distributor_partners, leads, deals, payments, resources, certifications, projects, contacts, messages, brand_guidelines, shared_files, private_files, mdf, campaigns, custom Available options:
referral, reseller, distributor Available options:
all, internal_only, external_only Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Room-level configuration.
Show child attributes
Show child attributes